This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 432226 - GRUB boot loader will be installed on /dev/sda. despite eariler choice of /dev/sdb
GRUB boot loader will be installed on /dev/sda. despite eariler choice of /de...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F9Blocker
  Show dependency treegraph
 
Reported: 2008-02-09 23:55 EST by David Filiatrault
Modified: 2008-04-01 17:19 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-01 17:19:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Filiatrault 2008-02-09 23:55:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9b3pre) Gecko/2008012200 Fedora/3.0b3pre-0.beta2.12.nightly20080121.fc9 Minefield/3.0b3pre

Description of problem:
Despite selecting /dev/sdb as the device to install the boot loader in the first screen which asks for install partition info, once get past formatted the filesystems, the installer indicates "The GRUB boot loader will be installed on /dev/sda.".

While /dev/sda is my first hard drive, I've setup the BIOS to boot from my USB drive, which is /dev/sdb.  The installer at this step is ignoring my choice from either in the installer.

Version-Release number of selected component (if applicable):
F9-Alpha-i686-2080129

How reproducible:
Always


Steps to Reproduce:
1. Have IDE harddrive as /dev/sda
2. Have USB drive as /dev/sdb
3. Run installer, choose the /dev/sdb device for installing the bootloader and for installation filesystems.


Actual Results:
When get to the "The GRUB boot loader will be installed" screen, observe it indicating /dev/sda

Expected Results:
It should indicate /dev/sdb (or whatever you actually chose)

Additional info:
Comment 1 Jesse Keating 2008-04-01 17:19:39 EDT
Is Grub actually installed to /dev/sda or /dev/sdb as you chose?  Could this
just be a bad message?  I just did an install here where I asked anaconda to
install the boot loader to the external USB disk, which wasn't sda then and
things went as planned.  Unless you can reproduce with recent rawhide and show
in fact that the boot loader was installed to the wrong device I'm going to
close this as WORKSFORME.

Note You need to log in before you can comment on or make changes to this bug.